Get files
The /files endpoint provides access to an entity’s files hosted on Monite’s servers. This includes both files uploaded by the entity and files that were automatically created by Monite (such as PDF versions of invoices).
GET /files requires at least one query parameter, either id__in or file_type. You can use this operation to:
- Bulk fetch multiple files by IDs.
- Get all files with the given purpose (for example, invoice attachments).
If no files matching the query parameters were found, the response contains an empty data array.
Both partner tokens and entity user tokens can be used for authentication.
Authentication
Bearer authentication of the form Bearer <token>, where token is your auth token.
Headers
Query parameters
Return only files with specified IDs. Valid but nonexistent IDs do not raise errors but produce no results.
To specify multiple IDs, repeat this parameter for each value: id__in=<id1>&id__in=<id2>
Return only files with the given purpose. Possible values:
additional_identity_documentsandidentity_documents- entity verification documents uploaded for payments onboarding.attachments- supplementary attachments for accounts receivable invoices, quotes, and credit notes.delivery_notes- auto-generated PDF versions of delivery notes.einvoices_xml- e-invoice XML generated when sending e-invoices.payables- payables (bills) received via email or uploaded via API.receivable_signatures- images of customer signatures provided during quote acceptance.receivables- auto-generated PDF versions of invoices, quotes, and credit notes.zip- data export archives created byPOST /data_exports.
Other values are unused.